## mycompiler.mybytecode
Class CONSTANT_Fieldref_info

    java.lang.Object
      mycompiler.mybytecode.CPInfo
          mycompiler.mybytecode.CONSTANT_Fieldref_info

    public class CONSTANT_Fieldref_info

extends CPInfo

Constructor Summary
`CONSTANT_Fieldref_info()`

Method Summary
`void` `codegen(ClassFile classfile, java.io.FileOutputStream f)`
`short` `get_class_index()`
`short` `get_name_and_type_index()`
`void` `set_class_index(short i)`
`void` `set_name_and_type_index(short i)`

Methods inherited from class mycompiler.mybytecode.CPInfo
`get_tag, set_tag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CONSTANT_Fieldref_info

    public CONSTANT_Fieldref_info()

Method Detail

### get_class_index

    public short get_class_index()

### get_name_and_type_index

    public short get_name_and_type_index()

### set_class_index

    public void set_class_index(short i)

### set_name_and_type_index

    public void set_name_and_type_index(short i)

### codegen

    public void codegen(ClassFile classfile,
                        java.io.FileOutputStream f)

  Specified by:
    `codegen` in class `CPInfo`